;
; COMMAND FILE TO BUILD XRF - FORTRAN CROSS-REFERENCER
;
.ENABLE SUBSTITUTION
.SETS $U "'<UIC>'"
.SETS $D "SY:"
.SETT MAC
.SETT FOR
.SETT TKB
.SETT SRD
.IFNINS ...MAC .SETF MAC
.IFNINS ...FOR .SETF FOR
.IFNINS ...TKB .SETF TKB
.IFNINS ...SRD .SETF SRD
.IFF MAC INS $BIGMAC
.IFF FOR INS $FOR/INC=60000
.IFF TKB INS $BIGTKB
.IFF SRD INS $SRD
.TESTFILE XRF.FTN
.IF <FILERR> = 1 .GOTO 10
.5: .ASKS $D ON WHICH DISK IS THE SOURCE (DDn:)
.TESTFILE '$D'XRF.FTN
.IF <FILERR> = 1 .GOTO 10
.SETS $D "'$D':"
.TESTFILE '$D'XRF.FTN
.IF <FILERR> <> 1 .GOTO 5
.10:
.IF P1 = "" .GOTO 20
.TESTFILE '$D''P1'.FTN
.IF <FILERR> = 1 .GOTO 15
MAC '$D''P1','P1'/-SP/CR='$D''$U''P1'
.GOTO 30
.15: FOR '$D''P1','P1'/-SP='$D''P1'
.GOTO 30
.20: MAC '$D'ADDREF,ADDREF/-SP/CR='$D'ADDREF
 MAC '$D'GETMCX,GETMCX/-SP/CR='$D'GETMCX
 MAC '$D'GETSYM,GETSYM/-SP/CR='$D'GETSYM
 MAC '$D'IISHFT,IISHFT/-SP/CR='$D'IISHFT
 MAC '$D'IPACK,IPACK/-SP/CR='$D'IPACK
 MAC '$D'ISTMT,ISTMT/-SP/CR='$D'ISTMT
 MAC '$D'ITSTCH,ITSTCH/-SP/CR='$D'ITSTCH
 MAC '$D'LOFSET,LOFSET/-SP/CR='$D'LOFSET
 MAC '$D'MAKENT,MAKENT/-SP/CR='$D'MAKENT
 MAC '$D'SRCTBL,SRCTBL/-SP/CR='$D'SRCTBL
FOR '$D'ENTER,ENTER/-SP='$D'ENTER
FOR '$D'ERROR,ERROR/-SP='$D'ERROR
FOR '$D'FRMCTL,FRMCTL/-SP='$D'FRMCTL
FOR '$D'LINEIN,LINEIN/-SP='$D'LINEIN
FOR '$D'NXNCHR,NXNCHR/-SP='$D'NXNCHR
FOR '$D'NXTCHR,NXTCHR/-SP='$D'NXTCHR
FOR '$D'NXTSYM,NXTSYM/-SP='$D'NXTSYM
FOR '$D'OUTPUT,OUTPUT/-SP='$D'OUTPUT
FOR '$D'XREF,XREF/-SP='$D'XREF
FOR '$D'XRF,XRF/-SP='$D'XRF
FOR '$D'XRFDAT,XRFDAT/-SP='$D'XRFDAT
FOR '$D'XRFINI,XRFINI/-SP='$D'XRFINI
.30: .TESTFILE '$D'XRF.BLD
.IF <FILERR> = 1 .GOTO 40
 .OPEN '$D'XRF.BLD
.ENABLE DATA
;
;	 X R F T K B . C M D
;
;	BUILD THE FORTRAN XREF TASK XRF
;
'$D'XRF/CP/-FP,'$D'XRF/-SP/CR='$D'XRF/MP
UNITS=4
ASG=TI:1:4
ACTFIL=2
TASK=...XRF
/
.DISABLE DATA
.CLOSE
.40: .TESTFILE '$D'XRF.ODL
.IF <FILERR> = 1 .GOTO 50
.OPEN '$D'XRF.ODL
.ENABLE DATA
;
;	 X R E F . O D L
;
;	OVERLAY DESCRIPTOR FOR X-REF (FORTRAN) TASK
;
	.ROOT	XRFROT-LIB-*(O1,O2,O3)
XRFROT:	.FCTR	XRF-XRFDAT-NXTCHR-ERROR-FRMCTL-LINEIN-ITSTCH
O1:	.FCTR	XRFINI-GETMCX-LIB
O2:	.FCTR	XREF-ENTER-NXNCHR-NXTSYM-IISHFT-SRCTBL-MAKENT-O21
O21:	.FCTR	ADDREF-IPACK-LOFSET-ISTMT-LIB
O3:	.FCTR	OUTPUT-GETSYM-LIB
LIB:	.FCTR	LB:[1,1]FOROTS/LB
	.END
.DISABLE DATA
.CLOSE
.50: TKB @'$D'XRF.BLD
SRD '$D'/PU
.IFF SRD REM SRD
.IFF MAC REM MAC
.IFF FOR REM FOR
.IFF TKB REM TKB
